package zone.oat.supersecretrevival.mixin;

import net.minecraft.client.gui.widget.AbstractButtonWidget;
import net.minecraft.client.sound.SoundManager;
import net.minecraft.text.Text;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import zone.oat.supersecretrevival.Mod;

@Mixin(AbstractButtonWidget.class)
public class CancelClickSoundMixin {
    @Shadow private Text message;

    @Inject(method = "playDownSound", at = @At(value = "HEAD"), cancellable = true)
    private void injected(SoundManager soundManager, CallbackInfo ci) {
        if (this.message.equals(Mod.BUTTON_TEXT)) ci.cancel();
    }
}
