package zone.oat.supersecretrevival;

import net.minecraft.client.MinecraftClient;
import net.minecraft.client.render.GameRenderer;
import net.minecraft.util.Identifier;

import java.util.Random;

public class ShaderControls {
    private static final GameRenderer renderer = MinecraftClient.getInstance().gameRenderer;
    private static final Random RANDOM = new Random();

    public static void setRandomShader() {
        Identifier shader = GameRenderer.SHADERS_LOCATIONS[RANDOM.nextInt(GameRenderer.SHADER_COUNT)];
        Mod.LOGGER.info("Loading shader " + shader.getPath());
        renderer.loadShader(shader);
    }

    public static void disableShader() {
        Mod.LOGGER.info("Disabling all shaders");
        renderer.disableShader();
    }
}
